Delete credit note item
curl --request DELETE \
--url https://api.sandbox.tesouro.com/finops/v1/payable-credit-notes/{credit_note_id}/line-items/{line_item_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/payable-credit-notes/{credit_note_id}/line-items/{line_item_id}"
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sandbox.tesouro.com/finops/v1/payable-credit-notes/{credit_note_id}/line-items/{line_item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2024-01-15T14:30:00Z",
"updated_at": "2024-01-15T14:30:00Z",
"credit_note_id": "123e4567-e89b-12d3-a456-426614174000",
"created_by_user_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "Premium version of Product XYZ with extended warranty",
"name": "Product XYZ",
"quantity": 2,
"subtotal": 10000,
"tax": 20,
"tax_amount": 2000,
"total": 12000,
"unit": "pieces",
"unit_price": 5000
}
],
"next_pagination_token": "eyJwYWdlIjoyfQ==",
"prev_pagination_token": "eyJwYWdlIjoxfQ=="
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Credit notes
Delete credit note item
DELETE
/
finops
/
v1
/
payable-credit-notes
/
{credit_note_id}
/
line-items
/
{line_item_id}
Delete credit note item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Response
Successful Response
A paginated list of credit note line items.
List of credit note line items for the current page
Show child attributes
Show child attributes
Token to retrieve the next page of results
Example:
"eyJwYWdlIjoyfQ=="
Token to retrieve the previous page of results
Example:
"eyJwYWdlIjoxfQ=="
Was this page helpful?